Skip to content
This repository

[Deprecated] Leiningen plugin that lists newer available versions of dependencies

branch: master

Fetching latest commit…

Octocat-spinner-32-eaf2f5

Cannot retrieve the latest commit at this time

Octocat-spinner-32 src
Octocat-spinner-32 .gitignore
Octocat-spinner-32 COPYING
Octocat-spinner-32 README.md
Octocat-spinner-32 project.clj
README.md

lein-outdated is outdated

This project has been superseded by lein-ancient and is now officialy unmaintained.

I highly recommend switching to lein-ancient. It's more accurate, faster and more capable.

About

A Leiningen plugin that lists newer available versions of dependencies.

It uses the Lucene indexes downloaded by lein search.

Usage

Requires Leiningen 2.0.0-preview8 or later.

Put [lein-outdated "1.0.2"] into the :plugins vector of your :user profile in ~/.lein/profiles.clj.

Then run lein outdated in your project directory:

$ lein outdated
[org.clojure/clojure "1.4.0-beta6"] is available but we use "1.3.0"
[org.clojure/tools.cli "0.2.0"] is available but we use "0.2.1"
[compojure "1.0.2"] is available but we use "1.0.1"
[cheshire "4.0.0"] is available but we use "2.2.2"

License

Copyright © 2012 Alex Osborne and contributors

Parts based on code from Leiningen.

Leiningen Source Copyright © 2009-2012 Phil Hagelberg, Alex Osborne, Dan Larkin and contributors.

Distributed under the Eclipse Public License, the same as Leiningen and Clojure.

Idea suggested by guns on #leiningen.

Something went wrong with that request. Please try again.